<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>


<!-- Narval prototype ===================================================== -->

<prototype>
 <description lang="fr">Transforme plusieurs sort-group en un xbel </description>
 <description lang="en">Transform sort-group to xml bookmarks (xbel)</description>
 <input list="yes">
  <match>sort-group</match>
<description lang="en">sort groups produced from data-unit / bookmarks elements
</description>
 </input>
 <output>
  <match>xbel</match>
<description lang="en">xbel formatted bookmarks</description>
 </output>
</prototype>

<!-- root ================================================================= -->
  <xsl:template match="arguments">
  <xbel>
    <xsl:apply-templates select="sort-group"/>
  </xbel>
  </xsl:template>


  <xsl:template match="sort-group">
  <folder>
    <title><xsl:value-of select="common/text()"/></title>
    <xsl:apply-templates select="data-unit"/>
  </folder>
  </xsl:template>

  <xsl:template match="data-unit">
  <bookmark>
  <xsl:attribute name="href"><xsl:value-of select="url"/></xsl:attribute>
  <title><xsl:value-of select="title/text()"/></title>
  </bookmark>
  </xsl:template>

</xsl:transform>
