<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'
 xmlns:n='http://www.logilab.org/narval'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>


<!-- Narval prototype ===================================================== -->

<prototype>
 <description lang="fr">Transforme un bookmarks xml (xbel) en plusieurs data-unit</description>
 <description lang="en">Transform xml bookmarks (xbel) to data-unit</description>
 <input>
  <match>xbel</match>
<description lang="en">xbel element with bookmarks to transforms</description>
 </input>
 <output list='yes'>
  <match>data-unit</match>
<description lang="en">data-unit "ready to download" (you have to download its
data before the sort)</description>
 </output>
</prototype>

<!-- root ================================================================= -->
  <xsl:template match="arguments">
    <xsl:apply-templates select="//bookmark"/>
  </xsl:template>


  <xsl:template match="bookmark">
  <xsl:element name="data-unit">
    <xsl:attribute name='oldmd5value'><xsl:value-of select="@n:checksum"/></xsl:attribute>
    <xsl:attribute name='md5checksum'><xsl:value-of select="@n:checksum"/></xsl:attribute>
    <xsl:attribute name='visited'><xsl:value-of select="@visited"/></xsl:attribute>
    <xsl:attribute name='modified'><xsl:value-of select="@modified"/></xsl:attribute>
    <xsl:attribute name='added'><xsl:value-of select="@added"/></xsl:attribute>

    <url><xsl:value-of select='@href'/></url>
    <title><xsl:value-of select="title/text()"/></title>
    <parent-folder><xsl:value-of select="../title/text()"/></parent-folder>
  </xsl:element>
  </xsl:template>

</xsl:transform>
