<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>


<!-- Narval prototype ===================================================== -->

<prototype>
 <description lang="fr">Transforme un bookmarks xml (xbel) en html-file</description>
 <description lang="en">Transform xml bookmarks (xbel) to html-file</description>

 <input>
  <match>xbel</match>
<description lang="en">xbel bookmarks to transforms</description>
 </input>
 <input>
  <match>url/text()</match>
<description lang="en">url for the html file</description>
 </input>
 <output>
  <match>html-file/url/text()</match>
  <match>html-file/data/*</match>
<description lang="en">html-file element</description>
 </output>
</prototype>

<!-- root ================================================================= -->
  <xsl:template match="arguments">
   <html-file>
    <url><xsl:value-of select="url/text()"/>
    </url>
    <data>

      <html>
       <head>
        <title>Sorted Bookmarks</title>
        <link rel="stylesheet" type="text/css" href="style.css"/>
       </head>
       <body bgcolor='#ffffff' text='#000000'>
        <xsl:apply-templates select="xbel"/>
       </body>
      </html>
    </data>
   </html-file>

  </xsl:template>


  <xsl:template match="xbel">
    <h1>Sorted Bookmarks</h1>
    <xsl:apply-templates select="desc"/>
    <br/><br/>
    <xsl:apply-templates select="folder"/>
    <xsl:apply-templates select="bookmark"/>
  </xsl:template>


  <xsl:template match="folder">
    <li>
      <h2>
        <xsl:apply-templates select="title"/>
      </h2>
      <ul>
        <xsl:apply-templates select="bookmark"/>
      </ul>
    </li>
  </xsl:template>


  <xsl:template match="bookmark">
    <li>
      <a href='{@href}'>
        <xsl:apply-templates select="title"/>
      </a><xsl:apply-templates select="desc"/>
    </li>
  </xsl:template>


  <xsl:template match="desc">
    <xsl:value-of select="./text()"/>
  </xsl:template>


  <xsl:template match="title">
    <xsl:value-of select="./text()"/>
  </xsl:template>

</xsl:transform>
