<?xml version="1.0" encoding="ISO-8859-1"?>

  <xsl:transform version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

    <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
    <xsl:strip-space elements='*'/>


    <prototype>
      <description lang='fr'>Construction d'une rss  partir de la
page html de Linux Weekly News.</description>
      <description lang='en'>Extract rss definition from the linux
weekly news web page</description>
      <input>
        <match>xhtml</match>
<description lang="en">xhtml formatted element extracted from the Linux Weekly
News web page</description>
      </input>
      <output>
        <match>rss</match>
<description lang="en">rss element</description>
      </output>
    </prototype>


    <xsl:template match='xhtml'>
     <rss>    
      <channel>
      <title>
        <xsl:value-of select='html/head/title/text()'/>, processed by Narval 
      </title> 
      <xsl:apply-templates select='html/body/table/tr[2]/td[3]/table/tr[(position() - 1) mod 4 = 0]'/>
      </channel>
     </rss>      
    </xsl:template> 


    <xsl:template match='tr'>
     <item>
      <title>
        <xsl:value-of select='th/a/text()'/>
      </title> 
      <description>      
        <xsl:apply-templates select='following-sibling::tr[1]/td'/>

        <xsl:apply-templates select='following-sibling::tr[2]/td'/>
      </description> 
      <link>
        <xsl:value-of select='following-sibling::tr[2]/td/a/@href/text()'/>
      </link> 
     </item>
    </xsl:template>
  </xsl:transform>
