<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Produit le journal  partir de RSS.</description>
<description lang="en">Merge RSS into a newspaper.</description>

<input list='yes'><match>rss</match>
<description lang="en">rss elements to present</description></input>
<output><match>xhtml</match>
<description lang="en">xhtml formatted newspaper</description></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='arguments'>
  <xhtml>
  <head>
  <link href='style.css' rel='stylesheet' type='text/css'/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
  <meta name="Description" content="Narval\'s Journal"/>
  <meta name="Generator" content="Narval"/>
  <title>Internet Evening News</title>
  </head>
  <body><h1>Internet Herald News</h1>

  <xsl:apply-templates select='rss/channel'/>

  </body>
  </xhtml>
</xsl:template>
 
<xsl:template match='rss/channel'>
  <h2>
    <xsl:value-of select='title'/>
  </h2>
  <p>
    <xsl:element name='a'>
      <xsl:attribute name='href'><xsl:value-of select='link'/></xsl:attribute>
      <xsl:value-of select='title'/>
    </xsl:element>
    <em><xsl:value-of select='description'/></em>
  </p>
  <table>
    <xsl:apply-templates select='item'/>
  </table>
  <hr/>
</xsl:template>

<xsl:template match='item'>
    <tr>
      <td>
        <xsl:element name='a'>
          <xsl:attribute name='href'><xsl:value-of select='link'/></xsl:attribute>
          <xsl:value-of select='title'/>
        </xsl:element>
	<xsl:text> - </xsl:text>
        <xsl:apply-templates mode='multi' select='description'/>
      </td>
    </tr>
</xsl:template>

</xsl:transform>
